osgDB::ObjectGLenum Struct Reference

`#include <DataTypes>`

## Public Member Functions

| ObjectGLenum (GLenum value=0)
| ObjectGLenum (const ObjectGLenum &copy)
void | set (GLenum e)
GLenum | get () const

## Public Attributes

GLenum | _value

## Constructor & Destructor Documentation

## ObjectGLenum() [1/2]

osgDB::ObjectGLenum::ObjectGLenum | ( | GLenum | value = 0 | ) |

inline

References _value.

Referenced by ObjectGLenum().

## ObjectGLenum() [2/2]

osgDB::ObjectGLenum::ObjectGLenum | ( | const ObjectGLenum & | copy | ) |

inline

References _value, and ObjectGLenum().

## Member Function Documentation

## get()

GLenum osgDB::ObjectGLenum::get | ( |  | ) | const

inline

References _value.

## set()

void osgDB::ObjectGLenum::set | ( | GLenum | e | ) |

inline

References _value.

## Member Data Documentation

## _value

GLenum osgDB::ObjectGLenum::_value

Referenced by get(), ObjectGLenum(), ObjectGLenum(), and set().

The documentation for this struct was generated from the following file:

- DataTypes